List all plugins for the organization
GET/v1/plugins
This route allows you to list all plugins that belong to your organization.
Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"identifier": {
"type": "string"
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"description": {
"anyOf": [
{
"type": "string",
"maxLength": 2000
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
},
"creatorId": {
"type": "string"
},
"lastUpdatedBy": {
"type": "string"
},
"size": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"params": {
"anyOf": [
{
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"isRequired": {
"type": "boolean"
},
"label": {
"type": "string"
},
"description": {
"type": "string",
"maxLength": 200
}
},
"required": [
"type",
"isRequired"
],
"additionalProperties": false
}
},
{
"type": "null"
}
]
},
"source": {
"type": "string",
"enum": [
"user",
"port_ai",
"plugins_repo"
]
}
},
"required": [
"identifier",
"title",
"createdAt",
"updatedAt",
"creatorId",
"lastUpdatedBy",
"size",
"params",
"source"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"data"
],
"additionalProperties": false,
"title": "listPluginsResponse"
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok"
],
"additionalProperties": false,
"title": "serverError"
}
}
}
}
}
}